# $chan.topic Returns the topic of a channel
Syntax
    $chan.topic
    $chan.topic(<window_id>)
Description
The first form returns the topic of the current channel (assuming that the current window is a channel at all). If the current window is not a channel, a warning is printed and an empty string is returned. The second form returns the topic of the channel specified by <window_id>. The topic is returned as it is known form at the call time: this means that if the channel is not synchronized with the server (as just after the join, for example) you might get an empty string (the topic is not yet known).

Main, Functions

KVIrc 3.0.0 Documentation
Generated by root at Thu Apr 7 23:58:20 2005